
fName = 'Experiment_X.mat';
k_examplesOpen(fullfile('Experiment_X', fName), 'loadMat', 'on')

rawA = Experiment_X.raw.Material_A;

for z = 1 : numel(rawA)
    tmp = rawA{z};
    t = k_vectorByPoints('0*s','1*s', tmp.dataSize(1));
    t.Props.ColNames = 'Time';
    tmp = [t,tmp]; %#ok<AGROW>
    rawA{z} = tmp;
end

% Note: rawA is a 5x1 cell array, each holding a single data set

figure('name', 'Multiple Raw Curves')

k_plot(rawA, [], ...
    'independentCol', 'Nom Strain', ...
    'dependentCol', 'Nom Stress')

%%

k_plot(rawA, [], ...
    'independentCol', 'Nom Strain', ...
    'dependentCol', 'Nom Stress', ...
    'legendLocation', 'SouthEast')

k_displayOnFigure(0.05, 0.8, rawA, 'alignVert', 'top')
k_displayOnFigure(0.05, 0.9, 'rawA is 5x1 cell array', ...
                  'alignVert', 'top')
